module alutest(osc, ir_in, acc_wr, acc, latch, c, z, mem_out, keygl);
input	osc, acc_wr;
input [7:0] mem_out;
input [2:0] ir_in;
output [7:0] acc, latch;
output	c,z, keygl;
wire [7:0] ir, select;
wire reset;

assign ir[7:5] = ir_in[2:0];
assign ir[4:0] = 5'b00000;
assign keygl = 1'b0;
assign reset = 1'b0;
assign select[7:0] = (acc_wr)? 8'b01000000: 8'b00100000;

alu alu(reset, osc, ir, select, acc, latch, c, z, mem_out);

endmodule
