module kcom(reset,clk,tclk,sclk,a_bus,pc,d_bus,ir,acc,latch,c,z,select,inp,oup,halt);
input reset, clk;
input [7:0] inp; 
output tclk, sclk, c, z, halt;
output [4:0] a_bus, pc;
output [7:0] d_bus, ir, acc, latch, select, oup;
wire gclk;

assign gclk= clk & ~halt;
clock clock(reset, gclk, tclk, sclk);
pcir pcir(reset, tclk, halt, pc, ir, a_bus, d_bus, select);
alu alu(reset, tclk, ir, select, acc, latch, c, z, d_bus);
mem mem(tclk, a_bus, inp, oup, select, d_bus);
control control(reset, sclk, ir, c, z, select);

endmodule
