module clock(reset, gclk, tclk, sclk );
input	reset, gclk;
output	tclk, sclk;
reg		tclk, sclk;

always @(posedge gclk or posedge reset) begin
	 if (reset) sclk <= 1'b0; 
		else sclk <= ~sclk; 
end
always @(negedge gclk or posedge reset) begin 
	if (reset) tclk <= 1'b0; 
		else tclk <= ~tclk; 
end

endmodule